.overlay {
  width: 100%;
  height: 100vh;
  position: fixed;
  background-color: rgba(0, 0, 0, 0.4);
  top: 0;
  left: 0;
  z-index: 1;
}

.modal-wrapper {
  width: 90%;
  max-width: 500px;
  border-radius: 16px;
  box-shadow: 0 16px 10px 0 rgba(0, 0, 0, 0.16);
  position: fixed;
  max-height: 90vh;
  background-color: #fff;
  z-index: 2;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  & .title {
    padding: 16px;
    font-size: 1.6rem;
    border-bottom: solid 1px #c0c3d2;
  }

  & .body {
    padding: 16px 24px;
  }

  & .footer {
    border-top: solid 1px #c0c3d2;
    padding: 16px;
    display: flex;
    gap: 15px;
    justify-content: flex-end;
  }
}

.fade-enter-active,
.fade-leave-active {
  transition: opacity 0.3s;
}

.fade-enter,
.fade-leave-to {
  opacity: 0;
}
